incompatibility of new 2.9.0.8 plugin version with wpmudev custom sidebar plugin

Hi,

I notice that the new 2.9.0.8 version of the google maps plugin provokes a php fatal error if the wpmudev custom sidebar plugin is also activated.

The error message is:
PHP Fatal error: Cannot make static method TheLib::pointer() non static in class TheLib_Html in /home/httpd/wordpress/public_html/wp-content/plugins/wpmu_dev_maps_plugin/inc/external/wpmu-lib/inc/class-thelib-html.php on line 1624

Thanks for fixing this, please.

Regards